SquidGuard - Warning: Cannot modify header information - headers already sent by



  • I updated pfSense from 1.2.3 to 2.1.3 and now my sgerror.php (custom page) is throwing this error at the top of the page. It still works, but the error will have my users calling me on Monday.

    Warning: Cannot modify header information - headers already sent by (output started at /usr/local/www/sgerror.php:1) in /usr/local/www/sgerror.php on line 213

    Here is my line 213:        header("HTTP/1.1 " . $err_code[$er_code_id]);

    That line and everything above it is 100% exact as the stock sgerror.php. All the customization is below it.

    I have tried reloaded the Squid and SquidGuard packages but it did not fix the error.